test: CInstallPage class Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# CInstallPage Class Reference

`#include <propdlg.h>`

Inheritance diagram for CInstallPage:

List of all members.

## Public Member Functions

| CInstallPage (CProfilePropertySheet *pcppsBoss)
| ~CInstallPage ()
virtual BOOL | OnInit ()
virtual BOOL | OnCommand (WORD wNotifyCode, WORD wid, HWND hwndCtl)

## Private Attributes

CProfilePropertySheet & | m_cppsBoss

## Constructor & Destructor Documentation

CInstallPage::CInstallPage | ( | CProfilePropertySheet * | pcppsBoss | ) |

Definition at line 26 of file propdlg.cpp.

References CInstallPage().

Referenced by CInstallPage().

    00026                                                        :
    00027     CDialog(pcpps -> Instance(),
    00028         pcpps -> Profile().IsInstalled() ? UninstallPage : InstallPage,
    00029         pcpps -> Window()), m_cppsBoss(*pcpps){ }

CInstallPage::~CInstallPage | ( |  | ) |

Definition at line 31 of file propdlg.cpp.

    00031 {}

## Member Function Documentation

BOOL CInstallPage::OnCommand | ( | WORD | wNotifyCode,
|  | WORD | wid,
|  | HWND | hwndCtl
| ) | `[virtual]`

Reimplemented from CDialog.

Definition at line 45 of file propdlg.cpp.

References BOOL, CProfilePropertySheet::DeleteOnUninstall(), FALSE, IsDlgButtonChecked(), m_cppsBoss, OnCommand(), SendDlgItemMessage(), and TRUE.

Referenced by OnCommand().

    00045                                                                         {
    00046     switch  (wid) {
    00047         case    DeleteFileControl:
    00048
    00049             if  (wNotifyCode == BN_CLICKED) {
    00050                 m_cppsBoss.DeleteOnUninstall(
    00051                     IsDlgButtonChecked(m_hwnd, DeleteFileControl) ==
    00052                         BST_CHECKED);
    00053                 return  TRUE;
    00054             }
    00055
    00056             break;
    00057
    00058         case    ProfileNameControl:
    00059             if  (wNotifyCode == EN_SETFOCUS) {
    00060                 //  We don't want the entire string selected and scrolled
    00061                 SendDlgItemMessage(m_hwnd, ProfileNameControl, EM_SETSEL,
    00062                     0, 0);
    00063                 return  TRUE;
    00064             }
    00065             break;
    00066     }
    00067
    00068     return  FALSE;
    00069 }

BOOL CInstallPage::OnInit | ( |  | ) | `[virtual]`

Reimplemented from CDialog.

Definition at line 35 of file propdlg.cpp.

References BOOL, CheckDlgButton(), CProfilePropertySheet::DeleteIsOK(), CProfile::GetName(), CProfile::IsInstalled(), m_cppsBoss, CProfilePropertySheet::Profile(), SetDlgItemText(), and TRUE.

    00035                              {
    00036
    00037     SetDlgItemText(m_hwnd, ProfileNameControl, m_cppsBoss.Profile().GetName());
    00038     if  (m_cppsBoss.Profile().IsInstalled())
    00039         CheckDlgButton(m_hwnd, DeleteFileControl,
    00040             m_cppsBoss.DeleteIsOK() ? BST_CHECKED : BST_UNCHECKED);
    00041
    00042     return  TRUE;
    00043 }

## Member Data Documentation

CProfilePropertySheet& CInstallPage::m_cppsBoss`[private]`

| Definition at line 41 of file propdlg.h. Referenced by OnCommand(), and OnInit().

The documentation for this class was generated from the following files:

- propdlg.h
- propdlg.cpp